<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\PdfListen\TnListen\ShowSettingsTnListen;


abstract class ShowSettingsTnListenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  
  protected function getRequestObj()
  {
    
    $requestObj = new ShowSettingsTnListenRequest();
    
    
    $requestObj->kursIds = explode(':', \RequestOperations::getVarValue('nr', ''));
    $requestObj->listName = \RequestOperations::getVarValue('liste', ''); 
    $requestObj->dnr = \GetOperations::getVarValue('dnr', -1);

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowSettingsTnListenPresenter($pUseCaseResponse);
  }
}